<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_memcached', language 'el', version '2.4'.
 *
 * @package     cachestore_memcached
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bufferwrites'] = 'Εγγραφές σε ενδιάμεση μνήμη';
$string['bufferwrites_help'] = 'Ενεργοποιεί ή απενεργοποιεί την ενδιάμεση μνήμη Εισόδου/Εξόδου (buffered I/O). Η ενεργοποίηση προκαλεί τις εντολές αποθήκευσης να αποθηκεύουν σε ενδιάμεση μνήμη αντί να αποστέλλουν τα δεδομένα. Οποιαδήποτε ενέργεια που ανακτά δεδομένα προκαλεί την αποστολή των ενδιάμεσα αποθηκευμένων στην απομακρυσμένη σύνδεση. Η διακοπή ή το κλείσιμο της σύνδεσης θα προκαλέσει επίσης την ώθηση των ενδιάμεσα αποθηκευμένων δεδομένων στην απομακρυσμένη σύνδεση.';
$string['hash'] = 'Μέθοδος κατατεμαχισμού (hash)';
$string['hash_crc'] = 'CRC';
$string['hash_default'] = 'Προεπιλογή (ένα-κάθε-φορά)';
$string['hash_fnv1_32'] = 'FNV1_32';
$string['hash_fnv1_64'] = 'FNV1_64';
$string['hash_fnv1a_32'] = 'FNV1A_32';
$string['hash_fnv1a_64'] = 'FNV1A_64';
$string['hash_help'] = 'Καθορίζει τον αλγόριθμο κατατεμαχισμού (hash function) που θα χρησιμοποιηθεί. Κάθε αλγόριθμος έχει τα υπέρ και τα κατά. Επιλέξτε τον προεπιλεγμένο αν δεν τα γνωρίζετε ή δεν σας ενδιαφέρουν.';
$string['hash_hsieh'] = 'Hsieh';
$string['hash_md5'] = 'MD5';
$string['hash_murmur'] = 'Murmur';
$string['pluginname'] = 'Memcached (σε κρυφή μνήμη ΒΔ στη RAM)';
$string['prefix'] = 'Κλειδί προθέματος';
$string['prefix_help'] = 'Αυτό μπορεί να χρησιμοποιηθεί για τη δημιουργία ενός «τομέα» για τα κλειδιά στοιχείων σας, που επιτρέπει να δημιουργήσετε πολλαπλές αποθηκεύσεις memcache (κρυφή μνήμη για βελτίωση απόκρισης ΒΔ από ιστοσελίδες) σε μια μοναδική εγκατάσταση memcached. Δεν μπορεί να υπερβαίνει τους 16 χαρακτήρες, προκειμένου να διασφαλιστεί ότι δεν θα παρουσιαστούν ζητήματα μήκους κλειδιών.';
$string['prefixinvalid'] = 'Μη έγκυρο πρόθεμα. Μπορείτε να χρησιμοποιήσετε μόνο τα a-z A-Z 0-9 -_.';
$string['serialiser_igbinary'] = 'Ο σειριοποιητής igbinary (PHP serializer).';
$string['serialiser_json'] = 'Ο σειριοποιητής JSON (PHP serializer).';
$string['serialiser_php'] = 'Ο προεπιλεγμένος PHP σειριοποιητής (serializer).';
$string['servers'] = 'Εξυπηρετητές';
$string['servers_help'] = 'Αυτό ορίζει τους εξυπηρετητές που πρέπει να χρησιμοποιηθούν από αυτόν τον προσαρμογέα memcache (κρυφή μνήμη ΒΔ στη RAM).
Οι εξυπηρετητές πρέπει να ορίζονται ανά γραμμή και να αποτελούνται από μια διεύθυνση εξυπηρετητή και προαιρετικά μια θύρα και συντελεστής βαρύτητας.
Εάν δεν υπάρχει θύρα, τότε χρησιμοποιείται η προεπιλεγμένη θύρα (11211).

Για παράδειγμα:
<pre>
server.url.com
ipaddress:port
servername:port:weight
</pre>';
$string['testservers'] = 'Εξυπηρετητές δοκιμών';
$string['testservers_desc'] = 'Οι εξυπηρετητές δοκιμών χρησιμοποιούνται για δοκιμές μονάδων και για δοκιμές απόδοσης. Είναι εντελώς προαιρετικό να δημιουργήσετε εξυπηρετητές δοκιμών. Οι εξυπηρετητές πρέπει να ορίζονται ένας ανά γραμμή και να αποτελούνται από μια διεύθυνση εξυπηρετητή και προαιρετικά μια θύρα και ένα βάρος.
Εάν δεν δίνεται θύρα, τότε χρησιμοποιείται η προεπιλεγμένη θύρα (11211).';
$string['usecompression'] = 'Χρήση συμπίεσης';
$string['usecompression_help'] = 'Ενεργοποιεί ή απενεργοποιεί την συμπίεση ωφέλιμου φορτίου. Όταν ενεργοποιείται, στοιχεία με μέγεθος μεγαλύτερο από ένα συγκεκριμένο όριο (προς το παρόν 100 bytes) θα συμπιέζονται κατά την αποθήκευση και θα αποσυμπιέζονται κατά την ανάκτηση διαφανώς.';
$string['useserialiser'] = 'Χρήση σειριοποιητή';
$string['useserialiser_help'] = 'Καθορίζει τον σειριοποιητή που θα χρησιμοποιηθεί για τη σειριοποίηση των μη κλιμακωτών τιμών. Οι έγκυροι σειριοποιητές είναι Memcached :: SERIALIZER_PHP ή Memcached :: SERIALIZER_IGBINARY. Ο τελευταίος υποστηρίζεται μόνο όταν η memcached (κρυφή μνήμη DB με χρήση RAM) έχει ρυθμιστεί στην επιλογή --enable-memcached-igbinary και έχει εγκατασταθεί και φορτωθεί η επέκταση (extension, πρόσθετο) igbinary (γενικά οικονομικότερο σε χώρο και χρόνο).';
