<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'repository_boxnet', language 'el', version '2.4'.
 *
 * @package     repository_boxnet
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['apikey'] = 'Κλειδί API';
$string['apiv1migration_message_content'] = 'Ως μέρος της αναβάθμισης του Moodle στο 2.4.7, το πρόσθετο αποθετηρίου Box.net έχει απενεργοποιηθεί. Για να ενεργοποιηθεί ξανά, θα πρέπει να ρυθμιστεί πάλι όπως περιγράφεται στην τεκμηρίωση «{$a->docsurl}».';
$string['apiv1migration_message_small'] = 'Αυτό το πρόσθετο έχει απενεργοποιηθεί, καθώς απαιτεί ρυθμίσεις, όπως περιγράφεται στην τεκμηρίωση της μετεγκατάστασης (μεταφορά/μετατροπή) APIv1 Box.net.';
$string['apiv1migration_message_subject'] = 'Σημαντικές πληροφορίες σχετικά με το πρόσθετο αποθετηρίου Box.net';
$string['boxnet:view'] = 'Εμφάνιση του repository box.net';
$string['callbackurl'] = 'Redirect URL';
$string['callbackurltext'] = '<ol> <li>Επισκεφθείτε <a href="http://www.box.net/developers/services">την ιστοσελίδα ανάπτυξης box.net</a> ξανά.</li> <li>Βεβαιωθείτε ότι έχετε ορίσει τον σύνδεσμο επανάκλησης αυτής της box.net υπηρεσίας σε <strong>{$a}</strong></li></ol>';
$string['callbackwarning'] = '1. Πάρτε ένα API Box.net από τη διεύθυνση <a href="http://www.box.net/developers/services">www.box.net/developers/services</a> για αυτόν τον ιστότοπο Moodle.
2. Πληκτρολογήστε εδώ το κλειδί API του Box.net, στη συνέχεια κάντε κλικ στην επιλογή Αποθήκευση και στη συνέχεια επιστρέψτε σε αυτήν τη σελίδα. Θα δείτε ότι το Moodle έχει δημιουργήσει μια διεύθυνση URL ανακατεύθυνσης για εσάς.
3. Επεξεργαστείτε ξανά τις λεπτομέρειες του Box.net στον ιστότοπο box.net και καθορίστε τη διεύθυνση URL ανακατεύθυνσης.';
$string['cannotcreatereference'] = 'Αδυναμία δημιουργίας αναφοράς λόγω έλλειψης δικαιωμάτων για την κοινή χρήση του αρχείου στο Box.net.';
$string['clientid'] = 'Αναγνωριστικό πελάτη';
$string['clientsecret'] = 'Μυστικό πελάτη';
$string['configplugin'] = 'Ρύθμιση Box.net';
$string['filesourceinfo'] = 'Box.net ({$a->fullname}): {$a->filename}';
$string['information'] = '<div>Λάβετε ένα <a href="http://enabled.box.net/">Κλειδί API Box.net</a> για τον ιστότοπο Moodle. </div>';
$string['informationapiv2'] = 'Αποκτήστε ένα αναγνωριστικό πελάτη και μυστικό από τη <a href="https://app.box.com/developers/services"> σελίδα προγραμματιστή Box.net </a> για τον Moodle ιστότοπό σας.';
$string['invalidpassword'] = 'Μη έγκυρος κωδικός πρόσβασης';
$string['migrationadvised'] = 'Φαίνεται ότι χρησιμοποιούσατε το Box.net API έκδοσης 1. Εκτελέσατε το <a href="{$a}">εργαλείο μετεγκατάστασης</a> για να μετατρέψετε τις παλιές αναφορές;';
$string['migrationinfo'] = '<p>Ως μέρος της μετεγκατάσταση (μεταφορά/μετατροπή) στο νέο API που παρέχεται από το Box.net, οι αναφορές αρχείων σας πρέπει να μετεγκατασταθούν. Δυστυχώς, το σύστημα αναφοράς δεν είναι συμβατό με το API v2, οπότε πρόκειται να κατεβούν και να μετατραπούν σε πραγματικά αρχεία.</p>
<p>Παρακαλούμε, λάβετε επίσης υπόψη σας, ότι η μετεγκατάσταση <strong>μπορεί να διαρκέσει πολύ</strong>, ανάλογα με τον αριθμό των αναφορών που χρησιμοποιούνται και πόσο μεγάλα είναι τα αρχεία τους.</p>
<p>Μπορείτε να εκτελέσετε το εργαλείο μετεγκατάστασης κάνοντας κλικ στο παρακάτω κουμπί ή εναλλακτικά εκτελώντας το σενάριο CLI: repository/boxnet/cli/migrationv1.php.</p>
<p>Μάθετε περισσότερα <a href="{$a-> docsurl} ">εδώ</a>.</p>';
$string['migrationtool'] = 'Box.net εργαλείο μετεγκατάστασης (μεταφορά/μετατροπή) APIv1';
$string['nullfilelist'] = 'Δεν υπάρχουν αρχεία σε αυτό το αποθετήριο';
$string['password'] = 'Κωδικός πρόσβασης';
$string['pluginname'] = 'Box.net';
$string['pluginname_help'] = 'Χώρος αποθήκευσης στο Box.net';
$string['runthemigrationnow'] = 'Εκτέλεση του εργαλείου μετεγκατάστασης (μεταφορά/μετατροπή) τώρα';
$string['saved'] = 'Τα δεδομένα του Box.net αποθηκεύτηκαν';
$string['shareurl'] = 'Διαμοιρασμός της τοποθεσίας';
$string['username'] = 'Όνομα χρήστη για το Box.net';
$string['warninghttps'] = 'Το Box.net απαιτεί από τον ιστότοπό σας να χρησιμοποιεί το HTTPS για να λειτουργήσει το αποθετήριο.';
